step "updating docker basefiles"
gem update docker-utils
docker pull 'bexio/base:latest' >/dev/null 2>&1
docker pull 'bexio/toolchain:elixir-upgrade' >/dev/null 2>&1
step_done


start_bexbackend_proxy() {
step "starting bexbackend proxy"

docker pull 'bexio/amb:latest' >/dev/null 2>&1

docker run -d --restart=always \
  --name='bexbackend-proxy' \
  'bexio/amb:latest' \
  "${BEXNG_ADMIN_API_HOST}" '51607'

step_done
}

start_bexfrontend() {
step "starting bexfrontend"

docker-utils block-until-port-open 'bexbackend-proxy' '51607'

docker pull "bexio/frontend:${FRONTEND_IMAGE_TAG}" >/dev/null 2>&1

docker run -d --restart=always \
  --name='bexfrontend' \
  --link="bexbackend-proxy:backend" \
  -e 'BEXNG_PORT_51607_TCP=tcp://backend:51607' \
  --publish='80:8080' \
  "bexio/frontend:${FRONTEND_IMAGE_TAG}"

step_done
}


start_bexbackend_proxy &
start_bexfrontend &
wait
