openvpn_pkg_path="/tmp/openvpn-as.deb"
curl -sL "http://swupdate.openvpn.org/as/openvpn-as-2.0.8-Ubuntu14.amd_64.deb" > "${openvpn_pkg_path}"
sudo dpkg -i "${openvpn_pkg_path}"
rm "${openvpn_pkg_path}"

mkdir -p /usr/local/openvpn_as/etc/licenses
echo "openvpn:${OPENVPN_DEFAULT_ADMIN_PASSWORD}" | sudo chpasswd

vpn_domain="$(hostname -f)"

cat >"/usr/local/openvpn_as/etc/licenses/IOVS-WMFK-YDTO-MKPY.lic" <<EOF
CPU_MODEL_NAME=Intel(R) Xeon(R) CPU E5-2650 0 @ 2.00GHz
HOSTNAME=OVPNAS20
INODE_HASH=304d68e87dfb6280e1f2fbf1e52d84286420f638273e281ec9bef7df3603d821
LICENSE_KEY=IOVS-WMFK-YDTO-MKPY
MAC_ADDR=06:53:b9:ea:dd:c0
MAC_ADDR_0=06:53:b9:ea:dd:c0
PROP_FUZZY=MAC_ADDR
PROP_STRICT=CPU_MODEL_NAME
VPROP_N_REQUIRED=2
VPROP_VERSION=2
concurrent_connections=0
concurrent_connections_aggregated=10
expiry_date=20150210
expiry_date_updates=
openvpn_core_max_version=1.0
quota_properties=concurrent_connections
-----BEGIN RSA SIGNATURE-----
vpin6QaiijAJYaDj1D1zTxY3muCNDdCXJsM/yIVtsif6smBsdK
I8+OfdzXzKROo1fit7zlaXfEfufar1vwA1ofciORF6T/ky+AG/
GiAAn057TBOGCCfxy1aUHkRslGKmJPnWUsl7qGQYlGG/JfYBzS
ZRP/jckzWEc65IigRynPA=
-----END RSA SIGNATURE-----
EOF

cat >"/usr/local/openvpn_as/etc/config.json" <<EOF
{
  "Default": {
    "admin_ui.https.ip_address": "eth0",
    "admin_ui.https.port": "943",
    "aui.eula_version": "2",
    "auth.ldap.0.name": "My LDAP Servers",
    "auth.ldap.0.ssl_verify": "never",
    "auth.ldap.0.timeout": "4",
    "auth.ldap.0.use_ssl": "never",
    "auth.module.type": "pam",
    "auth.pam.0.service": "openvpnas",
    "auth.radius.0.acct_enable": "false",
    "auth.radius.0.name": "My Radius Servers",
    "cs.cws_proto_v2": "true",
    "cs.https.ip_address": "eth0",
    "cs.https.port": "943",
    "cs.prof_sign_web": "true",
    "host.name": "${vpn_domain}",
    "sa.initial_run_groups.0": "web_group",
    "sa.initial_run_groups.1": "openvpn_group",
    "vpn.client.config_text": "",
    "vpn.client.routing.inter_client": "false",
    "vpn.client.routing.reroute_dns": "true",
    "vpn.client.routing.reroute_gw": "false",
    "vpn.daemon.0.client.netmask_bits": "24",
    "vpn.daemon.0.client.network": "10.0.23.0",
    "vpn.daemon.0.listen.ip_address": "eth0",
    "vpn.daemon.0.listen.port": "443",
    "vpn.daemon.0.listen.protocol": "tcp",
    "vpn.daemon.0.server.ip_address": "eth0",
    "vpn.general.osi_layer": "3",
    "vpn.server.config_text": "",
    "vpn.server.daemon.enable": "true",
    "vpn.server.daemon.tcp.n_daemons": "1",
    "vpn.server.daemon.tcp.port": "443",
    "vpn.server.daemon.udp.n_daemons": "1",
    "vpn.server.daemon.udp.port": "1194",
    "vpn.server.duplicate_cn": "true",
    "vpn.server.group_pool.0": "10.0.23.0/24",
    "vpn.server.port_share.enable": "true",
    "vpn.server.port_share.ip_address": "1.2.3.4",
    "vpn.server.port_share.port": "1234",
    "vpn.server.port_share.service": "admin+client",
    "vpn.server.routing.allow_private_nets_to_clients": "true",
    "vpn.server.routing.gateway_access": "true",
    "vpn.server.routing.private_access": "nat",
    "vpn.server.routing.private_network.0": "10.0.0.0/24",
    "vpn.server.routing.private_network.1": "10.0.1.0/24",
    "vpn.tls_refresh.do_reauth": "true",
    "vpn.tls_refresh.interval": "360"
  },
  "_INTERNAL": {
    "run_api.active_profile": "Default",
    "webui.edit_profile": "Default",
    "webui.welcome_shown": "true"
  }
}
EOF

/usr/local/openvpn_as/scripts/confdba -l -f /usr/local/openvpn_as/etc/config.json
